Index: external/fastjet/ClusterSequenceAreaBase.hh
===================================================================
--- external/fastjet/ClusterSequenceAreaBase.hh	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/fastjet/ClusterSequenceAreaBase.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -1,6 +1,6 @@
-//FJSTARTHEADER
-// $Id: ClusterSequenceAreaBase.hh 4442 2020-05-05 07:50:11Z soyez $
-//
-// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//STARTHEADER
+// $Id: ClusterSequenceAreaBase.hh 2687 2011-11-14 11:17:51Z soyez $
+//
+// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,9 +13,7 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development. They are described in the original FastJet paper,
-//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  development and are described in hep-ph/0512210. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  quote the version you use and include a citation to the manual and
-//  optionally also to hep-ph/0512210.
+//  include a citation to the FastJet paper.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -27,5 +25,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//FJENDHEADER
+//ENDHEADER
 
 #ifndef __FASTJET_CLUSTERSEQUENCEAREABASE_HH__
@@ -35,5 +33,4 @@
 #include "fastjet/LimitedWarning.hh"
 #include "fastjet/Selector.hh"
-#include "fastjet/internal/deprecated.hh"
 
 FASTJET_BEGIN_NAMESPACE
@@ -145,5 +142,4 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_area(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   double median_pt_per_unit_area(const Selector & selector) const;
 
@@ -153,5 +149,4 @@
   /// The selector passed as an argument has to have a finite area and
   /// apply jet-by-jet
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_area_4vector(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   double median_pt_per_unit_area_4vector(const Selector & selector) const;
   
@@ -160,7 +155,6 @@
   /// - something_is_area_4vect = false -> use plain area
   /// - something_is_area_4vect = true  -> use 4-vector area
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_something(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
-  double median_pt_per_unit_something(const Selector & selector,
-                                      bool use_area_4vector) const;
+  double median_pt_per_unit_something(
+                    const Selector & selector, bool use_area_4vector) const;
 
   /// using jets withing the selector range (and with 4-vector areas if
@@ -188,5 +182,4 @@
   /// using a scalar area causes one to neglect terms of relative
   /// order $R^2/8$ in the jet $p_t$.
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
                                         bool use_area_4vector,
@@ -213,5 +206,4 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const std::vector<PseudoJet> & all_jets,
 					const Selector & selector, 
@@ -227,9 +219,10 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
-                                        bool use_area_4vector,
-                                        double & median, double & sigma) const{
-    return _get_median_rho_and_sigma(selector, use_area_4vector, median, sigma);
+                                bool use_area_4vector,
+                                double & median, double & sigma) const {
+    double mean_area;
+    get_median_rho_and_sigma(selector,  use_area_4vector,
+                             median,  sigma, mean_area);
   }
   
@@ -243,5 +236,4 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::parabolic_pt_per_unit_area(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void parabolic_pt_per_unit_area(double & a, double & b, 
                                           const Selector & selector, 
@@ -253,5 +245,4 @@
   /// the ordering is the same as that of sorted_by_pt(cs.inclusive_jets()),
   /// i.e. not necessarily ordered in pt once subtracted
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jets(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   std::vector<PseudoJet> subtracted_jets(const double rho,
                                          const double ptmin=0.0) const;
@@ -265,10 +256,8 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jets(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   std::vector<PseudoJet> subtracted_jets(const Selector & selector, 
                                          const double ptmin=0.0) const;
 
   /// return a subtracted jet, using area_4vector, given rho
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jet(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   PseudoJet subtracted_jet(const PseudoJet & jet,
                            const double rho) const;
@@ -282,10 +271,8 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jet(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   PseudoJet subtracted_jet(const PseudoJet & jet,
                            const Selector & selector) const;
 
   /// return the subtracted pt, given rho
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_pt(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   double subtracted_pt(const PseudoJet & jet,
                        const double rho,
@@ -299,5 +286,4 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
-  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_pt(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   double subtracted_pt(const PseudoJet & jet,
                        const Selector & selector,
@@ -308,31 +294,4 @@
   void _check_selector_good_for_median(const Selector &selector) const;
 
-  // the following set of protected methods are all deprecated. Their
-  // role is simply to hide the corresponding methods (without the
-  // first underscore) from the public interface so that they can be
-  // used internally until all the deprecated methods are removed.
-  // DO NOT USE ANY OF THESE METHODS: THEY ARE DEPRECATED AND WILL BE
-  // REMOVED.
-  virtual void _get_median_rho_and_sigma(const Selector & selector, 
-                                         bool use_area_4vector,
-                                         double & median, double & sigma,
-                                         double & mean_area) const;
-  virtual void _get_median_rho_and_sigma(const std::vector<PseudoJet> & all_jets,
-                                         const Selector & selector, 
-                                         bool use_area_4vector,
-                                         double & median, double & sigma,
-                                         double & mean_area,
-                                         bool all_are_inclusive = false) const;
-  virtual void _get_median_rho_and_sigma(const Selector & selector, 
-                                         bool use_area_4vector,
-                                         double & median, double & sigma) const {
-    double mean_area;
-    _get_median_rho_and_sigma(selector,  use_area_4vector,
-                              median,  sigma, mean_area);
-  }
-  virtual void _parabolic_pt_per_unit_area(double & a, double & b, 
-                                           const Selector & selector, 
-                                           double exclude_above=-1.0, 
-                                           bool use_area_4vector=false) const;
 
 private:
@@ -344,24 +303,5 @@
   /// check the jet algorithm is suitable (and if not issue a warning)
   void _check_jet_alg_good_for_median() const;
-
-  // the following set of private methods are all deprecated. Their
-  // role is simply to hide the corresponding methods (without the
-  // first underscore) from the public interface so that they can be
-  // used internally until all the deprecated methods are removed.
-  // DO NOT USE ANY OF THESE METHODS: THEY ARE DEPRECATED AND WILL BE
-  // REMOVED.
-  double _median_pt_per_unit_area(const Selector & selector) const;
-  double _median_pt_per_unit_area_4vector(const Selector & selector) const;
-  double _median_pt_per_unit_something(const Selector & selector,
-                                       bool use_area_4vector) const;
-  std::vector<PseudoJet> _subtracted_jets(const double rho,
-                                          const double ptmin=0.0) const;
-  PseudoJet _subtracted_jet(const PseudoJet & jet,
-                            const double rho) const;
-  PseudoJet _subtracted_jet(const PseudoJet & jet,
-                            const Selector & selector) const;
-  double _subtracted_pt(const PseudoJet & jet,
-                        const double rho,
-                        bool use_area_4vector=false) const;
+  
 };
 
